/* For the Association Home page */
body {
  /*background-image: url("../../images/assoc/under_construction_p1.png");*/
}

h2 {
  font-size: 1.2rem;
  width: auto;
  display: table;
  background-image: linear-gradient(rgba(var(--primary_colour_dark), 1), rgba(var(--primary_colour), 1));
  color: rgba(var(--navbar_colour), 1);
  padding: 0.1rem 2.5rem;
  margin-bottom: 20px;
  border-radius: 60px 20px 60px 20px;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.block_1 {
  grid-area: block_1;
  color: rgba(var(--primary_colour_mid), 1);
  margin: 2rem 0 0 0;
}

.block_2 {
  grid-area: block_2;
  color: rgba(var(--primary_colour_mid), 1);
  width: 100fr;
  margin: 0 0 1rem 0;
}

/* block_2 children */
.divisions_ddl_block {grid-area: divisions_ddl_block;}
.league_table_area {grid-area: league_table_area; margin-bottom: 2rem;}
.fixtures_and_results_area {grid-area: fixtures_and_results_area;}

/* The Form Element DDLs */
.form_element_fx{
  cursor: pointer;
  font-size: 1rem;
  padding: 0.5rem;
  width: fit-content;
  color: rgba(var(--primary_colour_mid), 1) !important;
  border: 1px solid rgba(var(--primary_colour_dark), 1);
  border-radius: 5px;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.h1{
  margin: 2rem 0 1rem 0;
  width: content-box;
}

.initial_display{display: none;}

.on_hover:hover{
  background-color: rgba(var(--primary_colour_dark), 1);
  color: yellow;
}

/**************************/
/* Toggle Switch Controls */
/**************************/
.switch {
  position: relative;
  display: inline-block;
  height: 24px;
  width: 50px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: rgba(var(--navbar_colour), 1);
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: rgba(var(--primary_colour), 1);
}

input:focus + .slider {
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.margin_bottom_01{
  margin-bottom: 1rem;
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}



/********************/
/* Overlay Controls */
/********************/
#overlay_fixture, #overlay_match {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.8);
  z-index: 2;
  cursor: pointer;
}

/* Modal Content/Box */
.fixture_content {
  background-color: rgba(var(--club_bar_grey_1), 1);
  color: rgba(var(--british_racing_yellow), 1);
  text-align: center;
  padding: 2rem;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 4px solid rgba(var(--british_racing_yellow), 1);
  border-radius: 1rem;
  width: fit-content; /* This figure will get adjusted with @media statements. */
}

/* Add Zoom Animation */
.animate {
  animation: animatezoom 0.6s
}

@keyframes animatezoom {
  from {transform: scale(0)}
  to {transform: scale(1)}
}

/* Overlay text control - FIXTURE */
#overlay_text_line_01, #overlay_text_line_03{font-size: 2rem;}
#overlay_text_line_05{color: rgba(var(--light_green), 1);}
#overlay_text_line_02, #overlay_text_line_07, #overlay_text_line_08{color: rgba(var(--diamond_white), 1);}
#overlay_text_line_10{color: rgba(var(--forgotten_warning_dark), 1);}

/* Overlay text control - MATCH */
.overlay_team_name{font-size: 2rem; color: rgba(var(--british_racing_yellow), 1)}
.overlay_scores{font-size: 2rem; color: rgba(var(--diamond_white), 1)}
.overlay_date_time{font-size: 1rem; color: rgba(var(--diamond_white), 1)}
.overlay_division{font-size: 1rem; color: rgba(var(--light_green), 1)}
.overlay_location{font-size: 1rem; color: rgba(var(--forgotten_warning_dark), 1); padding-top: 1rem;}

hr{border: 1px dashed rgba(var(--british_racing_yellow), 1); margin-bottom: 1rem;}


.hr_desc {
  width: 90%; /* adjust width as needed */
  margin: 1rem 0 2rem 0;
  border-top: 1px solid rgba(var(--primary_colour_mid), 1); /* adjust color and thickness as needed */
}

.align_left{text-align: left !important;}

/* ----------------------------------------------------------  */

.league_table_header {
  display: grid;
  grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;
  width: fit-content;
  gap: 1px;
  background-color: rgba(var(--primary_colour_mid), 1);
  padding: 5px 5px 1px 5px;
  border-radius: 5px 5px 0 0;
  cursor: initial !important;
  margin-top: 2rem;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.league_table_header > div {
  background-color: rgba(var(--primary_colour), 1);
  color: rgba(var(--navbar_colour), 1);
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 1rem;
  font-size: 1rem;
}

.table_team_rows{
  display: grid;
  grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;
  width: fit-content;
  gap: 1px;
  background-color: rgba(var(--primary_colour), 1);
  padding: 1px 5px 1px 5px;
  cursor: initial !important;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
}

.table_team_rows > div {
  background-color: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0.25rem;
  font-size: 0.9rem;
}

.bottom_border{
  padding: 5px 5px 1px 5px;
  border-radius:  0 0 5px 5px;
  width: fit-content;
}

.expelled_msg_text{
  margin-top: 1rem;
  color: red;
}

.margin_left_1{
  margin-left: 1rem;
}

.margin_right_1{
  margin-right: 1rem;
}

.cell_colour_red{
  color: rgba(var(--warning_dark), 1);
  font-weight: bold !important;
}

.cell_colour_green{
  color: rgba(var(--primary_colour), 1);
}


.cell_colour_blue{
  color: dodgerblue;
  font-weight: bold;
}

.cell_colour_blue_normal{
  color: dodgerblue;
}

.cell_colour_red_normal{
  color: rgba(var(--warning_dark), 1);
  font-style: italic;
}

.font_size_1{
  font-size: 1rem;
}

.refresh_page{
  margin-left: 2rem;
  color: rgba(var(--primary_colour_mid), 1);
  font-style: italic;
  cursor: pointer;
}

.refresh_page:hover{
  color: rgba(var(--secondary_colour_dark), 1);
}

/* ----------------------------------------------------------  */

.fr_table {
  display: grid;
  width: fit-content;
  gap: 2px;
  background-color: rgba(var(--primary_colour), 1);
  padding: 5px;
  border-radius: 5px;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.4);
  margin-bottom: 2rem;
}

.fr_table > div {
  background-color: rgba(255, 255, 255, 0.8);
  text-align: center;
  padding: 1rem 0.1rem;
  font-size: 1rem;
  cursor: pointer;
}

/* Setting up the Grid Template Columns for the Top Row of the Fixtures and Results table */
.fr_table.teams1{grid-template-columns: 12rem 4rem !important;}
.fr_table.teams2{grid-template-columns: 12rem 4rem 4rem !important;}
.fr_table.teams3{grid-template-columns: 12rem 4rem 4rem 4rem !important;}
.fr_table.teams4{grid-template-columns: 12rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams5{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams6{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams7{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams8{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams9{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;}
.fr_table.teams10{grid-template-columns: 12rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem 4rem !important;}

.fixture_cell, .match_cell{
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 75% !important;
  font-style: italic;
}

.fr_top_left_div{
  background-color: rgba(var(--primary_colour), 1) !important;
  padding-left: 2rem;
}

.fr_top_left_text{
  color: rgba(var(--british_racing_yellow), 1);
  transform: rotate(225deg);
  writing-mode: vertical-rl;
  font-size: 1.2rem;
}

.other_row_team_name{
  display: none;
  align-items: center;
  justify-content: right;
  padding-top: 1.5rem !important;
  padding-bottom: 0.6rem !important;
  background-color: #CB6843;
}

.vertical{
  left: calc(50% - 2rem);
  padding: 1rem 1.5rem 1rem 0 !important;
  transform: rotate(180deg);
  writing-mode: vertical-rl;
  text-align: left !important;
}

#leagues_description{
  color: rgba(var(--club_bar_blue), 1);
  font-style: italic;
  cursor: pointer;
}

#leagues_description:hover{
  color: rgba(var(--warning_dark), 1);
}

.description_area{
  margin-bottom: 1rem;
  display: none;
}

.division_name{
  padding: 0 !important;
}

.division_name_text{
  color: rgba(var(--british_racing_yellow), 1);
  font-size: 1.2rem;
}

.bold_text{
  font-weight: bold;
  font-size: 1.4rem !important;
}


/* League Table Headers */
.division_name{grid-area: division_name;}
.matches_played{grid-area: matches_played;}
.matches_won{grid-area: matches_won;}
.matches_drawn{grid-area: matches_drawn;}
.matches_lost{grid-area: matches_lost;}
.games_for{grid-area: games_for;}
.games_against{grid-area: games_against;}
.games_diff{grid-area: games_diff;}
.rallies_for{grid-area: rallies_for;}
.rallies_against{grid-area: rallies_against;}
.rallies_diff{grid-area: rallies_diff;}
.rubbers_for{grid-area: rubbers_for;}
.rubbers_against{grid-area: rubbers_against;}
.rubbers_diff{grid-area: rubbers_diff;}
.points_adjust{grid-area: points_adjust;}
.match_points{grid-area: match_points;}

.switch_block_1{grid-area: switch_block_1; margin-right: 2rem;}
.switch_block_2{grid-area: switch_block_2; margin-right: 2rem;}
.switch_block_3{grid-area: switch_block_3; margin-right: 2rem;}
.switch_block_4{grid-area: switch_block_4; margin-right: 2rem;}
.switch_block_5{grid-area: switch_block_5; margin-right: 2rem;}
.switch_block_6{grid-area: switch_block_6; margin-right: 2rem;}

.concede_text{
  font-size: 0.6rem;
  color: red;
}

.concession_line{
  font-size: 1rem;
  color: dodgerblue;
}
